use super::Entry;

pub struct ShowBox {
    entry: Entry,
    frame: egui::Frame,
}

impl ShowBox {
    pub fn new(entry: &Entry) -> Self {
        let frame = egui::Frame::none();
        Self {
            entry: entry.to_owned(),
            frame,
        }
    }
}

impl egui::Widget for ShowBox {
    fn ui(self, ui: &mut egui::Ui) -> egui::Response {
        ui.vertical_centered(|ui| ui.button("i dont get it").union(ui.label("caption")))
            .response
    }
}
